Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType placeholderType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType
          {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType
              {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType
                  {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}administeredControlType
                      {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}placeholderType

Model
  `<...
  definitionId = string
  description = string
  flow = `"horizontal" | "vertical"`
  id = string
  markupName = `{string: length ≥ 1}`
  markupType = `"Placeholder"`
  presentationClass = string
  presentationId = string
  presentationStyle = string
  properties = string
  skeletonUri = string
  tagName = string
  title = `{string: length ≥ 1}`
  usingFlow = boolean
  width = string
  >
  portletInstance | bookContent | book | proxyPortlet | portlet | javaPortlet | theme | debug | portionContent*
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: borderLayoutType/placeholder, placeholder, flowLayoutType/placeholder, gridLayoutType/placeholder, layoutType/placeholder, flowLayoutType/placeholder, gridLayoutType/placeholder, layoutType/placeholder, borderLayoutType/placeholder

Nested Element Summary
choice 0...∞ |
`portletInstanceType` | `portletInstance`
`bookContentType` | `bookContent`
`bookType` | `book`
`proxyPortletType` | `proxyPortlet`
`portletType` | `portlet`
`javaPortletType` | `javaPortlet`
`annonymous type derived from themeType` | `theme`
`debugType` | `debug`
`portionContentType` | `portionContent`

Attribute Summary
`string` | `definitionId`
`string` | `description`
`annonymous type derived from string` | `flow`
`string` | `id`
`annonymous type derived from string` | `markupName`
`annonymous type derived from string` | `markupType`
`string` | `presentationClass`
`string` | `presentationId`
`string` | `presentationStyle`
`string` | `properties`
`string` | `skeletonUri`
`string` | `tagName`
`titleType` | `title`
`boolean` | `usingFlow`
`string` | `width`

Attribute Detail

### definitionId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### description

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### flow

Model
  `"horizontal" | "vertical"`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Enumeration Facet
  `"horizontal", "vertical"`

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### markupName

Model
  `{string: length ≥ 1}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

Length Facets
  length ≥ 1

White Space Processing
  preserve

### markupType

Model
  `"Placeholder"`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Enumeration Facet
  `"Placeholder"`

### presentationClass

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationStyle

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### properties

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### skeletonUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tagName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type titleType

Model
  `{string: length ≥ 1}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### usingFlow

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### width

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1